CatálogoProductos
Guardar hoja de cálculo de productos
POST
/v1/catalog/products/spreadsheet/saveGuardar hoja de cálculo de productos. Una solicitud exitosa devuelve HTTP 202 con el cuerpo de respuesta documentado.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de cabecera
x-Store-Id?string
Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.
Cuerpo de la solicitud
application/json
Definiciones TypeScript
Usa esta definición en TypeScript.
Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/products/spreadsheet/save" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "productPatches": [ { "productId": "7204558912004325301", "body": { "name": "Example resource", "sku": "SKU-001", "slug": "example-resource", "description": "Example description.", "summary": "example", "brandId": "7204558912004325301", "clearBrand": false, "categoryId": "7204558912004325301" } } ], "statusGroups": [ { "status": "draft", "productIds": [ "example" ] } ], "priceItems": [ { "targetKind": "product", "target": "example", "price": 1, "compareAtPrice": 1, "clearCompareAtPrice": false } ], "inventoryItems": [ { "variantId": "7204558912004325301", "locationId": "7204558912004325301", "onHand": 1, "expectedVersion": 1 } ], "variantCreates": [ { "productId": "7204558912004325301", "body": { "name": "Example resource", "sku": "SKU-001", "packageId": "7204558912004325301", "price": 1, "compareAtPrice": 1, "costPrice": 1, "lowStockThreshold": 1, "allowBackorders": false }, "initialInventory": [ { "locationId": "7204558912004325301", "onHand": 1 } ], "active": false } ], "variantUpdates": [ { "productId": "7204558912004325301", "variantId": "7204558912004325301", "expectedVersion": 1, "body": { "name": "Example resource", "sku": "SKU-001", "packageId": "7204558912004325301", "price": 1, "compareAtPrice": 1, "costPrice": 1, "lowStockThreshold": 1, "allowBackorders": false } } ], "variantDeletes": [ { "productId": "7204558912004325301", "variantId": "7204558912004325301" } ], "productDeletes": [ "example" ] }'{ "id": "7204558912004325301", "status": "pending", "resource": "example", "format": "example", "createdOn": "2026-08-01T15:30:00Z"}